#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

import libevh.evhcmd as evhcmd
import pal_info
from ionas.request import Entry
from product_conf.reqinfo import (Results, ReqTypes)


class ReplicationSuspend(evhcmd.EvhCmd):

    def __suspend(self):

        self.send_entry(
            Entry(ReqTypes.SUSPEND),
            pal_info.PAL_REPLICATION_PATH)
        
    #
    # Request handlers
    #

    def __event_handler(self, entry):
        """Handle "event" request."""

        self.__suspend()
        entry.set_result(Results.OK)
        return entry

    def __init__(self, option=None):
        """Constructor."""

        evhcmd.EvhCmd.__init__(self, option=option)

        self.set_handler(ReqTypes.EVENT, self.__event_handler)

#
# Main
#

if __name__ == "__main__":
    ReplicationSuspend(option=evhcmd.EvhCmdOption()).handle_request()
