#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

import fal_info
import ionas.request as request
from product_conf import SUDO_CMD
from product_conf.reqinfo import (Results, ReqTypes)

SYSINFO_QUERY_XML = '<sysinfo/>'
FWVERSION_XPATH = "fwversion"

INVALID_VERSION_NUM = "1.00"

ERR_RESULT = 1


def request_entry(fal_pal_cmd, entry, filter_cmd=SUDO_CMD):
    """Send "entry" to "fal/pal_cmd" and return the entry in response data."""

    return request.Request(fal_pal_cmd, filter_cmd).request(entry).get_entry()


if __name__ == "__main__":
    entry = request.Entry(ReqTypes.QUERY, SYSINFO_QUERY_XML)
    response_entry = request_entry(fal_info.FAL_SYSINFO_PATH, entry)

    if response_entry.get_result() != Results.OK:
        exit(ERR_RESULT)

    version = response_entry.get().get_value(FWVERSION_XPATH)

    version_num = version.split("(")[0]

    if version_num == INVALID_VERSION_NUM:
        exit(ERR_RESULT)
